
Red-Andy - Feature #1725

Stick footer to the bottom of a page

04 May 2011 17:21 - Andriy Lesyuk

Status: Deferred Start date: 04 May 2011

Priority: Normal Due date:  

Assignee: Andriy Lesyuk % Done: 50%

Category:  Estimated time: 0.00 hour

Target version:    

Description

Some links on the subject:

http://www.cssstickyfooter.com/using-sticky-footer-code.html

Associated revisions

Revision 24 - 15 Dec 2013 12:23 - Andriy Lesyuk

Made footer stick to bottom (#1725), added sidebar toggler and other fixes for mobile

History

#1 - 04 May 2011 17:22 - Andriy Lesyuk

- Target version set to 0.02

#2 - 08 Jun 2011 07:46 - Andriy Lesyuk

- Status changed from Open to Incomplete

- Target version deleted (0.02)

The method described on the link won’t work for Redmine... It requires the following HTML structure:

<html>

  <body>

    <div id="wrapper">

      <div id="main">

      </div>

    </div>

    <div id="footer">

    </div>

  </body>

</html>

 

And the structure of Redmine HTML is:

<html>

  <body>

    <div id="wrapper">

      <div id="wrapper2">

        <div id="main">

        </div>

        <div id="footer">

        </div>

      </div>

    </div>

  </body>

</html>
#3 - 25 Nov 2013 12:23 - Andriy Lesyuk

- Status changed from Incomplete to Open

Recent Redmine comes with #wrapper3, that can help...

#4 - 15 Dec 2013 12:59 - Andriy Lesyuk

- Status changed from Open to In Progress

- % Done changed from 0 to 50

#5 - 15 Dec 2013 13:54 - Andriy Lesyuk

- Status changed from In Progress to Deferred

If #wrapper and #wrapper2 are set to min-height: 100%, it does not work. If they are set to height: 100%, scrolling does not work...
